Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1046313 - systemd-journald prevents system to remount ro in rescue mode
Summary: systemd-journald prevents system to remount ro in rescue mode
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1045837 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-24 13:34 UTC by Ali Akcaagac
Modified: 2015-06-29 13:47 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 13:47:09 UTC
Type: Bug


Attachments (Terms of Use)

Description Ali Akcaagac 2013-12-24 13:34:27 UTC
I just switched from Fedora 18 to Fedora 20 and figured out that the system can not be remounted ro by issuing

mount / -o ro,remount

This usually returns "/ busy" as answer. After some investigations I figured out that "systemd-journald" is the cause of keeping the system busy. This was NOT the case in any older Fedora versions < 18 and took me a long time to figure out. I would like to ask whether this can be reviewed to NOT keep / busy and immidiately allow a remount read-only as it used to be in pre-systemd times and all other systems ?

trying this will not help:

systemctl stop systemd-journald

Sometimes it works, sometimes not. It's also a matter of timing. But there should be a sane solution for this.

PS: Yes I know! Plenty of issues I reported about journald the past days.

Comment 1 Zbigniew Jędrzejewski-Szmek 2013-12-24 15:19:49 UTC
Something like this has been on the TODO list for a while. We need to be able to tell journald to start logging to /run/log/journal, for the purposes of clean shutdown. The ability to do that would solve your problem also.

Comment 2 Jaroslav Kysela 2013-12-29 14:57:24 UTC
*** Bug 1045837 has been marked as a duplicate of this bug. ***

Comment 3 Jóhann B. Guðmundsson 2014-01-02 08:44:26 UTC
So like this monitoring example of /proc/mounts and or /var/log would be needed ? 

     int mfd = open("/proc/mounts", O_RDONLY, 0);
     struct pollfd pfd;
     int rv;

     int changes = 0;
     pfd.fd = mfd;
     pfd.events = POLLERR | POLLPRI;
     pfd.revents = 0;
     while ((rv = poll(&pfd, 1, 5)) >= 0) {
          if (pfd.revents & POLLERR) {
               fprintf(stdout, "Mount points changed. %d.\n", changes++);
          }

          pfd.revents = 0;
          if (changes > 10) {
               exit(EXIT_FAILURE);
          }
     }


What's the general practice here as in should not systemd/journal be told that the mount point is ( or trying ) to be changed from rw to ro as opposed to have something that constantly checks if things have change?

Comment 4 Fedora End Of Life 2015-05-29 10:08:49 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-06-29 13:47:09 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.